
QGIS Application - Bug report #7798

column filter does not work as expected

2013-05-10 02:55 AM - Giovanni Manghi

Status: Closed

Priority: Severe/Regression

Assignee: Matthias Kuhn

Category: Vectors

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 16690

Description

open the attached sample vector and try to search in the table of attributes with the new column filter (column DESCRI) for the phrase

Montados de azinho com pastagem no subcoberto (<50%)

it won't work. But If you search just

Montados de azinho com pastagem no subcoberto

or

(<50%)

will work.

Associated revisions

Revision 4d3b1841 - 2013-05-13 10:00 AM - Matthias Kuhn

[Fix #7798] (I)LIKE operator escapes regexp characters before computing regexp

History

#1 - 2013-05-10 02:57 AM - Giovanni Manghi

- File deleted (filter.zip)

#2 - 2013-05-10 02:57 AM - Giovanni Manghi

- File filter.zip added

#3 - 2013-05-11 04:13 PM - Salvatore Larosa

- Assignee set to Matthias Kuhn

confirmed here on Linux.

Also, when it works, the dialog title is not refreshed!

#4 - 2013-05-13 01:00 AM - Matthias Kuhn

- Status changed from Open to Closed
Fixed in changeset commit:"4d3b1841ceab56c30b4d9d700382066eecdf093f".

#5 - 2013-05-13 01:09 AM - Matthias Kuhn

It's mostly fixed.

It was caused by a bug in QgsExpression, parsing a LIKE clause like a regexp.

It's still not possible to escape % and _ signs with the LIKE operator but now it the misbehavior is to match more rows instead of less rows. Followup

opened here:

#7814

Files

filter.zip 12.9 KB 2013-05-10 Giovanni Manghi
